> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Delete Carrier Connection

DELETE https://api.bigcommerce.com/stores/{store_hash}/v2/shipping/carrier/connection
Content-Type: application/json

Deletes a *Carrier Connection*.

**Required Fields**
* carrier_id

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/shipping/v2/shipping-carrier/delete-carrier-connection

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an object.

- `carrier_id` (string, optional)

## Response

### 204

Returns if request was successful.

## Errors

### 400 Bad Request Error

If a required field is not provided, the request will return a 400 response. \[ \{ "status": 400, "message": "Required fields missing \[key]" } ]

- `any`

## Examples

**Request**

```json
{
  "carrier_id": "fedex"
}
```

**SDK Code**

```python Shipping Carrier_deleteCarrierConnection_example
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection"

payload = { "carrier_id": "fedex" }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript Shipping Carrier_deleteCarrierConnection_example
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection';
const options = {
  method: 'DELETE',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"carrier_id":"fedex"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Shipping Carrier_deleteCarrierConnection_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection"

	payload := strings.NewReader("{\n  \"carrier_id\": \"fedex\"\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Shipping Carrier_deleteCarrierConnection_example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"carrier_id\": \"fedex\"\n}"

response = http.request(request)
puts response.read_body
```

```java Shipping Carrier_deleteCarrierConnection_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"carrier_id\": \"fedex\"\n}")
  .asString();
```

```php Shipping Carrier_deleteCarrierConnection_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection', [
  'body' => '{
  "carrier_id": "fedex"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Shipping Carrier_deleteCarrierConnection_example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"carrier_id\": \"fedex\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Shipping Carrier_deleteCarrierConnection_example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["carrier_id": "fedex"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```